Mediflo
REST APIKnowledge

Update the knowledge-base settings

Required scope: `knowledge.write`.

PATCH/bots/{botId}/knowledge

Authorization

ApiKeyAuth
AuthorizationBearer <token>

An external API key, sent as Authorization: Bearer mflo_…. Scopes are checked per route; see each operation’s description.

In: header

Path Parameters

botId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "retrievalMode": "auto",    "requireKnowledge": true,    "maxCharacters": 200,    "maxChunks": 1,    "maxVectorDistance": 0,    "searchDepth": 1,    "timeoutMs": 1,    "requiredTimeoutMs": 1  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "isEnabled": true,    "hasIndexedVersion": true,    "settings": {      "enabled": true,      "retrievalMode": "auto",      "requireKnowledge": true,      "maxCharacters": 200,      "maxChunks": 1,      "maxVectorDistance": 0,      "searchDepth": 1,      "timeoutMs": 1,      "requiredTimeoutMs": 1    },    "updatedAt": "2019-08-24T14:15:22Z"  }}